## org.eclipse.emf.compare.diff.metamodel
Interface DiffElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AttributeChange, AttributeChangeLeftTarget, AttributeChangeRightTarget, ConflictingDiffElement, DiffGroup, ModelElementChange, ModelElementChangeLeftTarget, ModelElementChangeRightTarget, MoveModelElement, ReferenceChange, ReferenceChangeLeftTarget, ReferenceChangeRightTarget, ReferenceOrderChange, ResourceDependencyChange, ResourceDependencyChangeLeftTarget, ResourceDependencyChangeRightTarget, ResourceDiff, UpdateAttribute, UpdateContainmentFeature, UpdateModelElement, UpdateReference

All Known Implementing Classes:
  AttributeChangeImpl, AttributeChangeLeftTargetImpl, AttributeChangeRightTargetImpl, ConflictingDiffElementImpl, DiffElementImpl, DiffGroupImpl, ModelElementChangeImpl, ModelElementChangeLeftTargetImpl, ModelElementChangeRightTargetImpl, MoveModelElementImpl, ReferenceChangeImpl, ReferenceChangeLeftTargetImpl, ReferenceChangeRightTargetImpl, ReferenceOrderChangeImpl, ResourceDependencyChangeImpl, ResourceDependencyChangeLeftTargetImpl, ResourceDependencyChangeRightTargetImpl, ResourceDiffImpl, UpdateAttributeImpl, UpdateContainmentFeatureImpl, UpdateModelElementImpl, UpdateReferenceImpl

    public interface DiffElement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Element'. This is the superclass of all types of differences EMF Compare can detect.

The following features are supported:

- `Sub Diff Elements`
- `Is Hidden By`
- `Conflicting`
- `Kind`
- `Remote`

See Also:
  `DiffPackage.getDiffElement()`

Method Summary
`org.eclipse.emf.common.util.EList<AbstractDiffExtension>` `getIsHiddenBy()` Returns the value of the 'Is Hidden By' reference list.
`DifferenceKind` `getKind()` Returns the value of the 'Kind' attribute.
`org.eclipse.emf.common.util.EList<DiffElement>` `getSubDiffElements()` Returns the value of the 'Sub Diff Elements' containment reference list.
`boolean` `isConflicting()` Returns the value of the 'Conflicting' attribute
`boolean` `isRemote()` Returns the value of the 'Remote' attribute
`void` `setRemote(boolean value)` Sets the value of the '`Remote`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIsHiddenBy

    org.eclipse.emf.common.util.EList<AbstractDiffExtension> getIsHiddenBy()

  Returns the value of the 'Is Hidden By' reference list. The list contents are of type `AbstractDiffExtension`. It is bidirectional and its opposite is '`Hide Elements`'.

  If the meaning of the 'Is Hidden By' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Hidden By' reference list.
  See Also:
    `DiffPackage.getDiffElement_IsHiddenBy()`, `AbstractDiffExtension.getHideElements()`

### isConflicting

    boolean isConflicting()

  Returns the value of the 'Conflicting' attribute.

  This will return true if this DiffElement is conflicting with another. It will in fact check that the direct container of this element is a `ConflictingDiffElement`.

  Returns:
    the value of the 'Conflicting' attribute.
  See Also:
    `DiffPackage.getDiffElement_Conflicting()`

### getKind

    DifferenceKind getKind()

  Returns the value of the 'Kind' attribute. The default value is `""`. The literals are from the enumeration `DifferenceKind`.

  Return the kind of Difference this DiffElement is. AddModelElement and RemoteAddModelElement are both `DifferenceKind.ADDITION`, MoveModelElement is a `DifferenceKind.MOVE` ...

  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `DifferenceKind`, `DiffPackage.getDiffElement_Kind()`

### isRemote

    boolean isRemote()

  Returns the value of the 'Remote' attribute.

  If the meaning of the 'Remote' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Remote' attribute.
  See Also:
    `setRemote(boolean)`, `DiffPackage.getDiffElement_Remote()`

### setRemote

    void setRemote(boolean value)

  Sets the value of the '`Remote`' attribute.

  Parameters:
    `value` - the new value of the 'Remote' attribute.
  See Also:
    `isRemote()`

### getSubDiffElements

    org.eclipse.emf.common.util.EList<DiffElement> getSubDiffElements()

  Returns the value of the 'Sub Diff Elements' containment reference list. The list contents are of type `DiffElement`.

  If the meaning of the 'Sub Diff Elements' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sub Diff Elements' containment reference list.
  See Also:
    `DiffPackage.getDiffElement_SubDiffElements()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.